CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
IpAddress.h File Reference
`#include <SFML/Network/Export.h>`
`#include <SFML/System/Time.h>`

Go to the source code of this file.

## Data Structures

struct | sfIpAddress
| Encapsulate an IPv4 network address. More...

## Functions

CSFML_NETWORK_API sfIpAddress | sfIpAddress_fromString (const char *address)
| Create an address from a string. More...
CSFML_NETWORK_API sfIpAddress | sfIpAddress_fromBytes (sfUint8 byte0, sfUint8 byte1, sfUint8 byte2, sfUint8 byte3)
| Create an address from 4 bytes. More...
CSFML_NETWORK_API sfIpAddress | sfIpAddress_fromInteger (sfUint32 address)
| Construct an address from a 32-bits integer. More...
CSFML_NETWORK_API void | sfIpAddress_toString (sfIpAddress address, char *string)
| Get a string representation of an address. More...
CSFML_NETWORK_API sfUint32 | sfIpAddress_toInteger (sfIpAddress address)
| Get an integer representation of the address. More...
CSFML_NETWORK_API sfIpAddress | sfIpAddress_getLocalAddress (void)
| Get the computer's local address. More...
CSFML_NETWORK_API sfIpAddress | sfIpAddress_getPublicAddress (sfTime timeout)
| Get the computer's public address. More...

## Variables

CSFML_NETWORK_API const sfIpAddress | sfIpAddress_None
| Empty object that represents invalid addresses. More...
CSFML_NETWORK_API const sfIpAddress | sfIpAddress_LocalHost
| Local host IP address (127.0.0.1, or "localhost") More...
CSFML_NETWORK_API const sfIpAddress | sfIpAddress_Broadcast
| UDP broadcast address (255.255.255.255) More...

## Function Documentation

CSFML_NETWORK_API sfIpAddress sfIpAddress_fromBytes | ( | sfUint8 | byte0,
|  | sfUint8 | byte1,
|  | sfUint8 | byte2,
|  | sfUint8 | byte3
| ) |  |

Create an address from 4 bytes.

Calling sfIpAddress_fromBytes(a, b, c, d) is equivalent to calling sfIpAddress_fromString("a.b.c.d"), but safer as it doesn't have to parse a string to get the address components.

Parameters

  byte0 | First byte of the address
  byte1 | Second byte of the address
  byte2 | Third byte of the address
  byte3 | Fourth byte of the address

Returns
  Resulting address

CSFML_NETWORK_API sfIpAddress sfIpAddress_fromInteger | ( | sfUint32 | address | ) |

Construct an address from a 32-bits integer.

This function uses the internal representation of the address directly. It should be used for optimization purposes, and only if you got that representation from sfIpAddress_ToInteger.

Parameters

  address | 4 bytes of the address packed into a 32-bits integer

Returns
  Resulting address

CSFML_NETWORK_API sfIpAddress sfIpAddress_fromString | ( | const char * | address | ) |

Create an address from a string.

Here address can be either a decimal address (ex: "192.168.1.56") or a network name (ex: "localhost").

Parameters

  address | IP address or network name

Returns
  Resulting address

CSFML_NETWORK_API sfIpAddress sfIpAddress_getLocalAddress | ( | void |  | ) |

Get the computer's local address.

The local address is the address of the computer from the LAN point of view, i.e. something like 192.168.1.56. It is meaningful only for communications over the local network. Unlike sfIpAddress_getPublicAddress, this function is fast and may be used safely anywhere.

Returns
  Local IP address of the computer

CSFML_NETWORK_API sfIpAddress sfIpAddress_getPublicAddress | ( | sfTime | timeout | ) |

Get the computer's public address.

The public address is the address of the computer from the internet point of view, i.e. something like 89.54.1.169. It is necessary for communications over the world wide web. The only way to get a public address is to ask it to a distant website; as a consequence, this function depends on both your network connection and the server, and may be very slow. You should use it as few as possible. Because this function depends on the network connection and on a distant server, you may use a time limit if you don't want your program to be possibly stuck waiting in case there is a problem; use 0 to deactivate this limit.

Parameters

  timeout | Maximum time to wait

Returns
  Public IP address of the computer

CSFML_NETWORK_API sfUint32 sfIpAddress_toInteger | ( | sfIpAddress | address | ) |

Get an integer representation of the address.

The returned number is the internal representation of the address, and should be used for optimization purposes only (like sending the address through a socket). The integer produced by this function can then be converted back to a sfIpAddress with sfIpAddress_FromInteger.

Parameters

  address | Address object

Returns
  32-bits unsigned integer representation of the address

CSFML_NETWORK_API void sfIpAddress_toString | ( | sfIpAddress | address,
|  | char * | string
| ) |  |

Get a string representation of an address.

The returned string is the decimal representation of the IP address (like "192.168.1.56"), even if it was constructed from a host name.

Parameters

  address | Address object

Returns
  String representation of the address

## Variable Documentation

CSFML_NETWORK_API const sfIpAddress sfIpAddress_Broadcast

UDP broadcast address (255.255.255.255)

Definition at line 61 of file IpAddress.h.

CSFML_NETWORK_API const sfIpAddress sfIpAddress_LocalHost

Local host IP address (127.0.0.1, or "localhost")

Definition at line 55 of file IpAddress.h.

CSFML_NETWORK_API const sfIpAddress sfIpAddress_None

Empty object that represents invalid addresses.

Definition at line 49 of file IpAddress.h.